# -*- coding: utf-8 -*-

import mod.client.extraClientApi as clientApi
import testEffectsScript.effectsConst as EffectsConst
import testEffectsScript.ui.uiMgr as uiMgr
from mod_log import logger

ClientSystem = clientApi.GetClientSystemCls()


class EffectsClientSystem(ClientSystem):
    """
    该mod的客户端类
    根据服务端推送下来的数据显示通用显示界面
    """

    def __init__(self, namespace, systemName):
        ClientSystem.__init__(self, namespace, systemName)
        self.ListenForEvent(EffectsConst.ModName, EffectsConst.ServerSystemName, "PlayEffectEvent", self, self.OnPlayEffect)

    def OnPlayEffect(self, args):
        name = args["name"]
        pos = tuple(args["pos"])
        particleId = self.PlayEffect(name, pos)
        print "播放了特效，实体id", particleId

    def PlayEffect(self, effectName, pos):
        particleEntityId = self.CreateEngineParticle(effectName, pos)
        particleControlComp = clientApi.GetEngineCompFactory().CreateParticleControl(particleEntityId)
        particleControlComp.Play()
        return particleEntityId
